; original code by Adam, help from MarioE
; if you want to add your own color, look up $0682 in the RAM table, and just add lines where the comments say you can

header : lorom
org $00A513
autoclean JSL OverworldFlash
RTS

freecode
OverworldFlash:

	PHB
	PHK
	PLB

	LDA #$02	; load value 02
	STA $0682	; store amount of bytes to transfer at a time
	STA $0686	; *3
	STA $068A	; 

	LDA #$6D	; load the yellow palette slot
	STA $0683	; store to palette number
	LDA #$7D	; red palette slot
	STA $0687	; *3
	LDA #$5D	; blue palette slot
	STA $068B	; 
	; another color slot can go here

	LDA $14		; load effective frame counter
	LSR
	AND #$0E	; every 2 frames...
	TAX			; transfer A to X

	REP #$20
	LDA YellowPalette,x	; load value corresponding with time of table
	STA $0684			; store to address

	LDA RedPalette,x	; we've got 3 tables, 3 colors to animate and thus
	STA $0688			; we need 3(*2) variations to store the correct
						; bytes in
	LDA BluePalette,x	; 
	STA $068C			;
	; another table load/store can go here(note $0682)
	SEP #$20			;

	PLB
	RTL			; return

YellowPalette:
dw $02DF,$035F,$27FF,$5FFF
dw $73FF,$5FFF,$27FF,$035F

RedPalette:
dw $01BF,$001F,$001B,$0018
dw $0018,$001B,$001F,$01BF

BluePalette:
dw $75AB,$6927,$58C4,$58C4
dw $6927,$75AB,$7E2E,$7E2E

; another color table can go here